package org.eclipse.stp.sc.common.runtimeintegrator;

import java.util.Map;

import org.eclipse.core.runtime.IExecutableExtension;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

public interface IParameterPage extends IExecutableExtension {
    
    /**
     * create gui components for this customized page
     * @param parent
     * @return
     */
    Control createContents(Composite parent);
    
    /**
     * 
     *
     */
    void performOK();
    
    /**
     * get the parameters input by the page
     * @return
     */
    Map getParameters();
    
    /**
     * validate the input. 
     * @return, error message string if there are problems.
     */
    String validateParams();
    
    /**
     * set the wizard page is it is called inside a wizard
     * @param page
     */
    void setPage(WizardPage page);
}
